Scilab Function
Last update : 00/00/0000

xgraduate - graduation des axes

### Calling Sequence

  `[xi,xa,np1,np2,kMinr,kMaxr,ar]=xgraduate(xmi,xma)`

### Parameters

- `xmi,xma` : scalaire réel
- `xi, xa, kMinr, kMaxr, ar` :scalaires réels
- `np1,np2` : entier

### Description

`xgraduate` renvoie les graduations des axes utilisées par les routines de dessin. Elle renvoie un intervalle `[xi,xa]` contenant l'intervalle donné `[xmi,xma]` avec xi et xa tels que

`xi= kMinr*10^ar`, `xa=kMaxr*10^ar` et l'intervalle peut être divise en `np2` intervalles et chaque intervalle est divisé en `np1` sous-intervalles.

### Examples

      [x1,xa,np1,np2,kMinr,kMaxr,ar]=xgraduate(-0.3,0.2)

### See Also

`graduate`, `plot2d`,

### Author

J.P.C ; ;